### Method

# Gtk IMContext filter_key

#### Declaration [src]

    gboolean
    gtk_im_context_filter_key (
      GtkIMContext* context,
      gboolean press,
      GdkSurface* surface,
      GdkDevice* device,
      guint32 time,
      guint keycode,
      GdkModifierType state,
      int group
    )

#### Description [src]

Allow an input method to forward key press and release events to another input methodm without necessarily having a `GdkEvent` available.

#### Parameters

`press` | `gboolean`
| Whether to forward a key press or release event.
`surface` | `GdkSurface*`
| The surface the event is for.
| The data is owned by the caller of the function.
`device` | `GdkDevice*`
| The device that the event is for.
| The data is owned by the caller of the function.
`time` | `guint32`
| The timestamp for the event.
`keycode` | `guint`
| The keycode for the event.
`state` | `GdkModifierType`
| Modifier state for the event.
`group` | `int`
| The active keyboard group for the event.

#### Return value

Returns: | `gboolean`
| `TRUE` if the input method handled the key event.